Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface WLECConnectionPoolMBean

public interface WLECConnectionPoolMBean
extends DeploymentMBean

This bean defines a WLEC connection pool.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Method Summary
`boolean` | `addFailoverAddress(java.lang.String address)`
`boolean` | `addPrimaryAddress(java.lang.String address)`
`java.lang.String` | `getApplicationPassword()` Application Password.
`java.lang.String[]` | `getFailoverAddresses()` The list of failover ISL addresses.
`int` | `getMaximumEncryptionLevel()` Maximum encryption level.
`int` | `getMaximumPoolSize()` Maximum number of IIOP connections.
`int` | `getMinimumEncryptionLevel()` Minimum encryption level.
`int` | `getMinimumPoolSize()` Initial number of IIOP connections.
`java.lang.String[]` | `getPrimaryAddresses()` The list of primary ISL addresses.
`java.lang.String` | `getUserName()` WebLogic Enterprise username.
`java.lang.String` | `getUserPassword()` Password for the username user.
`java.lang.String` | `getUserRole()` WebLogic Enterprise user role.
`java.lang.String` | `getWLEDomain()` Name of the WebLogic Enterprise domain.
`boolean` | `isCertificateAuthenticationEnabled()` Set to true to enable certificate based authentication.
`boolean` | `isSecurityContextEnabled()` Set to true to enable security context propagation.
`boolean` | `removeFailoverAddress(java.lang.String address)`
`boolean` | `removePrimaryAddress(java.lang.String address)`
`void` | `setApplicationPassword(java.lang.String password)`
`void` | `setCertificateAuthenticationEnabled(boolean on)`
`void` | `setFailoverAddresses(java.lang.String[] args)`
`void` | `setMaximumEncryptionLevel(int level)`
`void` | `setMaximumPoolSize(int size)`
`void` | `setMinimumEncryptionLevel(int level)`
`void` | `setMinimumPoolSize(int size)`
`void` | `setPrimaryAddresses(java.lang.String[] args)`
`void` | `setSecurityContextEnabled(boolean on)`
`void` | `setUserName(java.lang.String name)`
`void` | `setUserPassword(java.lang.String password)`
`void` | `setUserRole(java.lang.String role)`
`void` | `setWLEDomain(java.lang.String domain)`

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getPrimaryAddresses

    public java.lang.String[] getPrimaryAddresses()

  The list of primary ISL addresses.

### setPrimaryAddresses

    public void setPrimaryAddresses(java.lang.String[] args)
                             throws javax.management.InvalidAttributeValueException

### addPrimaryAddress

    public boolean addPrimaryAddress(java.lang.String address)
                              throws javax.management.InvalidAttributeValueException

### removePrimaryAddress

    public boolean removePrimaryAddress(java.lang.String address)

### getFailoverAddresses

    public java.lang.String[] getFailoverAddresses()

  The list of failover ISL addresses.

### setFailoverAddresses

    public void setFailoverAddresses(java.lang.String[] args)
                              throws javax.management.InvalidAttributeValueException

### addFailoverAddress

    public boolean addFailoverAddress(java.lang.String address)
                               throws javax.management.InvalidAttributeValueException

### removeFailoverAddress

    public boolean removeFailoverAddress(java.lang.String address)

### getMinimumPoolSize

    public int getMinimumPoolSize()

  Initial number of IIOP connections.

  Default Value: 1

### setMinimumPoolSize

    public void setMinimumPoolSize(int size)
                            throws javax.management.InvalidAttributeValueException

### getMaximumPoolSize

    public int getMaximumPoolSize()

  Maximum number of IIOP connections.

  Default Value: 1

### setMaximumPoolSize

    public void setMaximumPoolSize(int size)
                            throws javax.management.InvalidAttributeValueException

### getUserName

    public java.lang.String getUserName()

  WebLogic Enterprise username.

### setUserName

    public void setUserName(java.lang.String name)
                     throws javax.management.InvalidAttributeValueException

### getUserPassword

    public java.lang.String getUserPassword()

  Password for the username user.

### setUserPassword

    public void setUserPassword(java.lang.String password)
                         throws javax.management.InvalidAttributeValueException

### getApplicationPassword

    public java.lang.String getApplicationPassword()

  Application Password.

### setApplicationPassword

    public void setApplicationPassword(java.lang.String password)
                                throws javax.management.InvalidAttributeValueException

### getUserRole

    public java.lang.String getUserRole()

  WebLogic Enterprise user role.

### setUserRole

    public void setUserRole(java.lang.String role)
                     throws javax.management.InvalidAttributeValueException

### getWLEDomain

    public java.lang.String getWLEDomain()

  Name of the WebLogic Enterprise domain.

### setWLEDomain

    public void setWLEDomain(java.lang.String domain)
                      throws javax.management.InvalidAttributeValueException

### getMinimumEncryptionLevel

    public int getMinimumEncryptionLevel()

  Minimum encryption level.

### setMinimumEncryptionLevel

    public void setMinimumEncryptionLevel(int level)
                                   throws javax.management.InvalidAttributeValueException

### getMaximumEncryptionLevel

    public int getMaximumEncryptionLevel()

  Maximum encryption level.

### setMaximumEncryptionLevel

    public void setMaximumEncryptionLevel(int level)
                                   throws javax.management.InvalidAttributeValueException

### isCertificateAuthenticationEnabled

    public boolean isCertificateAuthenticationEnabled()

  Set to true to enable certificate based authentication.

  Default Value: false

### setCertificateAuthenticationEnabled

    public void setCertificateAuthenticationEnabled(boolean on)

### isSecurityContextEnabled

    public boolean isSecurityContextEnabled()

  Set to true to enable security context propagation.

  Default Value: false

### setSecurityContextEnabled

    public void setSecurityContextEnabled(boolean on)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD